import request from '@/utils/request'

// 查询行政执法台账列表
export function listEhsLawEnforce(query) {
  return request({
    url: '/ehs/ehsLawEnforce/list',
    method: 'get',
    params: query
  })
}

// 查询行政执法台账详细
export function getEhsLawEnforce(id) {
  return request({
    url: '/ehs/ehsLawEnforce/' + id,
    method: 'get'
  })
}

// 新增行政执法台账
export function addEhsLawEnforce(data) {
  return request({
    url: '/ehs/ehsLawEnforce',
    method: 'post',
    data: data
  })
}

// 修改行政执法台账
export function updateEhsLawEnforce(data) {
  return request({
    url: '/ehs/ehsLawEnforce',
    method: 'put',
    data: data
  })
}

// 删除行政执法台账
export function delEhsLawEnforce(id) {
  return request({
    url: '/ehs/ehsLawEnforce/' + id,
    method: 'delete'
  })
}
